camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <claus.ib...@gmail.com>
Subject Re: [VOTE] Release Apache Camel 2.19.0 (Attempt #2)
Date Tue, 02 May 2017 18:37:00 GMT
Hi

Some of the examples are deprecated and are not of priority. And we
should likely remove then in the following release. Such as CDI on
OSGi.

Also I think we should reduce our number of OSGi examples as they keep
becoming stale and broken from time to time, and some of them are very
old and not relevant such as etl and spring-dm and whatnot.

There is already 90 examples so enough on our plate to maintain. And
we should try to keep the examples more relevant and reduce the number
of old/legacy kind.

On Tue, May 2, 2017 at 8:28 AM, Tomohisa Igarashi <tm.igarashi@gmail.com> wrote:
> Hi,
>
> I'm running through camel examples in the tarball for sanity check. I hit
> 'image not found' error on 2 kubernates examples though, I guess it's just
> missing a few steps to let it recognize the staging repo? Anyway I'll
> continue on remaining.
>
> ----
> karaf commands don't install on 4.0.7, so tried on 4.1.1
>
> activemq-tomcat, aggregate, cafe, cdi, cdi-metrics, cdi-properties,
> cdi-rest-servlet, cdi-test, cdi-xml, console, cxf, cxf-proxy, cxf-tomcat,
> hystrix, java8, java8-rx, jdbc, jms-file, jmx,
> -> OK
>
> cassandra-kubernetes, hazelcast-kubernates
> -> image not found - any special steps to let it recognize staging repo?
> ----------
> 9m              3m              6       {kubelet minikube}
> spec.containers{java-exec}      Warning         Failed          Failed to
> pull image "camel/camel-cassandra-kubernetes-example:2.19.0": rpc error:
> code = 2 desc = Error: image camel/camel-cassandra-kubernetes-example not
> found
> ----------
> ----------
> [ERROR] F8: f8-cd-doc-link: Failed to parse URL:
> scpexe://people.apache.org/www/camel.apache.org/maven//camel-parent/examples/camel-hazelcast-kubernetes-example.
> java.net.MalformedURLException: unknown protocol: scpexe
> ----------
>
> cdi-osgi
> -> camel:run is OK, but there seems to be a incompatible dependency around
> weld on karaf
> ----------
> 2017-05-02T15:26:26,654 | ERROR | FelixStartLevel  | Felix
> |  -  -  | Bundle org.ops4j.pax.cdi.extender [130] EventDispatcher: Error
> during dispatch. (java.lang.NoSuchMethodError:
> org.ops4j.pax.cdi.weld.impl.WeldCdiContainer.doWithClassLoader(Ljava/util/concurrent/Callable;)Ljava/lang/Object;)
> java.lang.NoSuchMethodError:
> org.ops4j.pax.cdi.weld.impl.WeldCdiContainer.doWithClassLoader(Ljava/util/concurrent/Callable;)Ljava/lang/Object;
>         at
> org.ops4j.pax.cdi.weld.impl.WeldCdiContainer.doStart(WeldCdiContainer.java:94)
> ~[?:?]
> ----------
>
> cxf-blueprint
> -> can't install on karaf 4.1.1
> ----------
> karaf@root()> feature:install war cxf camel camel-jaxb camel-cxf
> Error executing command: java.lang.InterruptedException
> java.lang.IllegalStateException: No inital startlevel yet
>         at
> org.apache.felix.framework.FrameworkStartLevelImpl.setStartLevel(FrameworkStartLevelImpl.java:131)
>         at org.apache.karaf.main.Main.setStartLevel(Main.java:605)
>         at
> org.apache.karaf.main.Main$KarafLockCallback.lockAquired(Main.java:711)
>         at org.apache.karaf.main.Main.doMonitor(Main.java:382)
>         at org.apache.karaf.main.Main.access$100(Main.java:75)
>         at org.apache.karaf.main.Main$3.run(Main.java:369)
> ----------
>
> cxf-osgi
> -> should be removed as camel-spring-dm is no longer available
>
> etl
> -> install fails with missing dependency
> ----------
> karaf@root()> feature:install camel-example-etl
> 17:37:11
> Error executing command: Unable to resolve root: missing requirement [root]
> osgi.identity; osgi.identity=camel-example-etl; type=karaf.feature;
> version="[2.19.0,2.19.0]";
> filter:="(&(osgi.identity=camel-example-etl)(type=karaf.feature)(version>=2.19.0)(version<=2.19.0))"
> [caused by: Unable to resolve camel-example-etl/2.19.0: missing requirement
> [camel-example-etl/2.19.0] osgi.identity; osgi.identity=org.apache.openjpa;
> type=osgi.bundle; version="[2.4.2,2.4.2]"; resolution:=mandatory [caused by:
> Unable to resolve org.apache.openjpa/2.4.2: missing requirement
> [org.apache.openjpa/2.4.2] osgi.wiring.package;
> filter:="(&(osgi.wiring.package=org.apache.xbean.asm5)(version>=5.0.0)(!(version>=6.0.0)))"]]
> ----------
>
> cdi-aws-s3, cdi-cassandrasql, cdi-kubernates, ftp
> -> SKIP
>
>
>
>
> On 05/01/2017 12:32 AM, Gregor Zurowski wrote:
>>
>> Hi Everyone:
>>
>> This is the second vote to release Apache Camel 2.19.0, a new minor
>> release with over 670 new features, improvements and bug fixes.  A
>> summary of the changes is available in the Camel wiki [1].  The first
>> vote was cancelled due to multiple issues found while testing the
>> first release candidate [1].
>>
>> Release notes:
>> https://issues.apache.org/jira/secure/ReleaseNote.jspa?version=12337871&projectId=12311211
>>
>> Staging repository:
>> https://repository.apache.org/content/repositories/orgapachecamel-1075/
>>
>> Tarballs:
>> https://repository.apache.org/content/repositories/orgapachecamel-1075/org/apache/camel/apache-camel/2.19.0/
>>
>> Tag:
>> https://git-wip-us.apache.org/repos/asf?p=camel.git;a=tag;h=0ae39c5223d4e58e1f3063e7e5f071be0e258e97
>>
>> Please test this release candidate and cast your vote.
>> [ ] +1 Release the binary as Apache Camel 2.19.0
>> [ ] -1 Veto the release (provide specific comments)
>>
>> The vote is open for at least 72 hours.
>>
>> Due to the many changes introduced with this new release, it would be
>> beneficial if we could get as many Camel riders involved in testing
>> this release candidate as possible.
>>
>> Thanks,
>> Gregor
>>
>> [1] https://cwiki.apache.org/confluence/display/CAMEL/Camel+2.19+Release
>> [2]
>> http://camel.465427.n5.nabble.com/VOTE-Release-Apache-Camel-2-19-0-td5798264.html
>>
>



-- 
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2

Mime
View raw message